<?php
/**
 * This file is a GUI for amazOOP's configuration files.
 *
 * The first time you access the {@tutorial amazoop.configure.pkg Configurator}, you will be
 * asked for an administrator name and password, which will protect your settings.
 *
 * To learn more about how to set up amazOOP, read the {@tutorial amazoop.install.pkg Installation
 * Tutorial}.
 *
 * The URL of the configurator would be something similar to:
 * http://www.yoursite.com/amazoop/config/configurator.php
 *
 * @package amazOOP
 * @subpackage Configuration
 */

/**
 * @ignore
 */
define('_AMAZOOP', true);
session_start();

$core_path = dirname(__FILE__) . '/';

if(!is_dir($core_path))
	$core_path = './';
elseif($core_path && !preg_match('/\/$/', $core_path))
	$core_path .= '/';

define('CORE_PATH', $core_path);

/**
 * Password file
 * @access private
 */
$passFile = CORE_PATH . ".htamazoop";

/**
 * General Configuration
 *
 *
 *
 */
if(isset($_POST['action']) && $_POST['action'] == "save" && $_GET['modify'] == "general"){
	$configfile = "userdata.inc.php";
	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		$error_msg = array(0, "Config file not writeable !");
	}
	else{
		$config = "<?php\n";
		$config .= "defined( '_AMAZOOP' ) or die( 'Direct Access to this location is not allowed.' );\n";
		$config .= "/**\n";
		$config .= " * This file contains all, at least in theory, of properties that can be configured\n";
		$config .= " * in amazOOP.\n";
		$config .= " *\n";
		$config .= " * It is divided in two parts:\n";
		$config .= " * - one you <i>must</i> modify to get amazOOP to work on your server, and\n";
		$config .= " * - one you should only touch <b>if you know</b> what you are doing!\n";
		$config .= " *\n";
		$config .= " * @author Mauricio Diaz <madd0@users.sourceforge.net>\n";
		$config .= " * @copyright 2004 (c) Mauricio Diaz Orlich\n";
		$config .= " * @license http://www.gnu.org/licenses/gpl.html GNU Public License\n";
		$config .= " * @version 0.3\n";
		$config .= " *\n";
		$config .= " * @package amazOOP\n";
		$config .= " * @subpackage Configuration\n";
		$config .= " */\n";
		$config .= "\n";
		$config .= "\$_AMAZOOP_CONFIG = array( 'address'                   => array('test' => '".$_POST['address_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['address_def']."'),\n";
		$config .= "                          'path_to_script'            => array('test' => '".$_POST['path_to_script_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['path_to_script_def']."'),\n";
		$config .= "                          'close_tag_character'       => array('test' => '".$_POST['close_tag_character_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['close_tag_character_def']."'),\n";
		$config .= "                          'file_separator'            => array('test' => '".$_POST['file_separator_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['file_separator_def']."'),\n";
		$config .= "                          'UTF-8_encode'              => array('test' => '".$_POST['UTF-8_encode_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['UTF-8_encode_def']."'),\n";
		$config .= "                          'open_links_in'             => array('test' => '".$_POST['open_links_in_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['open_links_in_def']."'),\n";
		$config .= "                          'log_errors'                => array('test' => '".$_POST['log_errors_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['log_errors_def']."'),\n";
		$config .= "                          'log_requests'              => array('test' => '".$_POST['log_requests_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['log_requests_def']."'),\n";
		$config .= "                          'temporary_directory'       => array('test' => '".$_POST['temporary_directory_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['temporary_directory_def']."'),\n";
		$config .= "                          'cache_directory'           => array('test' => '".$_POST['cache_directory_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['cache_directory_def']."'),\n";
		$config .= "                          'max_request_log_size'      => array('test' => '".$_POST['max_request_log_size_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['max_request_log_size_def']."'),\n";
		$config .= "                          'max_error_log_size'        => array('test' => '".$_POST['max_error_log_size_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['max_error_log_size_def']."'),\n";
		$config .= "                          'request_log_file'          => array('test' => '".$_POST['request_log_file_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['request_log_file_def']."'),\n";
		$config .= "                          'error_log_file'            => array('test' => '".$_POST['error_log_file_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['error_log_file_def']."'),\n";
		$config .= "                          'timestamp_file'            => array('test' => '".$_POST['timestamp_file_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['timestamp_file_def']."'),\n";
		$config .= "                          'XML_template'              => array('test' => '".$_POST['XML_template_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['XML_template_def']."'),\n";
		$config .= "                          'check_alternative_images'  => array('test' => '".$_POST['check_alternative_images_test']."',\n";
		$config .= "                                                               'def'  => '".$_POST['check_alternative_images_def']."'),\n";
		$config .= "                        );\n";
		$config .= "\n";
		$config .= "\$_AMAZOOP_ASSOC_IDS = array( 'us' => '".$_POST['associd_us']."',\n";
		$config .= "                             'uk' => '".$_POST['associd_uk']."',\n";
		$config .= "                             'fr' => '".$_POST['associd_fr']."',\n";
		$config .= "                             'de' => '".$_POST['associd_de']."',\n";
		$config .= "                             'jp' => '".$_POST['associd_jp']."',\n";
		$config .= "                             'ca' => '".$_POST['associd_ca']."'\n";
		$config .= "                           );\n";
		$config .= "\n";
		$config .= "\$_AMAZOOP_DEFAULT_IMAGES = array( 'small'  => array( 'url'    => '".$_POST['defaultImage_small_url']."',\n";
		$config .= "                                                     'width'  => '".$_POST['defaultImage_small_width']."',\n";
		$config .= "                                                     'height' => '".$_POST['defaultImage_small_height']."'),\n";
		$config .= "                                  'medium' => array( 'url'    => '".$_POST['defaultImage_medium_url']."',\n";
		$config .= "                                                     'width'  => '".$_POST['defaultImage_medium_width']."',\n";
		$config .= "                                                     'height' => '".$_POST['defaultImage_medium_height']."'),\n";
		$config .= "                                  'large'  => array( 'url'    => '".$_POST['defaultImage_large_url']."',\n";
		$config .= "                                                     'width'  => '".$_POST['defaultImage_large_width']."',\n";
		$config .= "                                                     'height' => '".$_POST['defaultImage_large_height']."')\n";
		$config .= "                                );\n";
		$config .= "\n";
		$config .= "\$_AMAZOOP_MEDIA_IMAGES = array( 'DVD'       => array( 'url'    => '".$_POST['mediaImage_DVD_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_DVD_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_DVD_height']."'),\n";
		$config .= "                                'VHS'       => array( 'url'    => '".$_POST['mediaImage_VHS_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_VHS_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_VHS_height']."'),\n";
		$config .= "                                'dreamcast' => array( 'url'    => '".$_POST['mediaImage_dreamcast_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_dreamcast_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_dreamcast_height']."'),\n";
		$config .= "                                'gamecube'  => array( 'url'    => '".$_POST['mediaImage_gamecube_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_gamecube_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_gamecube_height']."'),\n";
		$config .= "                                'linux'     => array( 'url'    => '".$_POST['mediaImage_linux_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_linux_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_linux_height']."'),\n";
		$config .= "                                'PS2'       => array( 'url'    => '".$_POST['mediaImage_PS2_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_PS2_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_PS2_height']."'),\n";
		$config .= "                                'windows'   => array( 'url'    => '".$_POST['mediaImage_windows_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_windows_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_windows_height']."'),\n";
		$config .= "                                'xbox'      => array( 'url'    => '".$_POST['mediaImage_xbox_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_xbox_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_xbox_height']."'),\n";
		$config .= "                                'mac_OS'    => array( 'url'    => '".$_POST['mediaImage_mac_OS_url']."',\n";
		$config .= "                                                      'width'  => '".$_POST['mediaImage_mac_OS_width']."',\n";
		$config .= "                                                      'height' => '".$_POST['mediaImage_mac_OS_height']."')\n";
		$config .= "                              );\n";
		$config .= "\n";
		$config .= "\$_AMAZOOP_BUYNOW_BUTTONS = array( 'us' => array( 'url'    => '".$_POST['buyNow_us_url']."',\n";
		$config .= "                                                 'width'  => '".$_POST['buyNow_us_width']."',\n";
		$config .= "                                                 'height' => '".$_POST['buyNow_us_height']."'),\n";
		$config .= "                                  'uk' => array( 'url'    => '".$_POST['buyNow_uk_url']."',\n";
		$config .= "                                                 'width'  => '".$_POST['buyNow_uk_width']."',\n";
		$config .= "                                                 'height' => '".$_POST['buyNow_uk_height']."'),\n";
		$config .= "                                  'de' => array( 'url'    => '".$_POST['buyNow_de_url']."',\n";
		$config .= "                                                 'width'  => '".$_POST['buyNow_de_width']."',\n";
		$config .= "                                                 'height' => '".$_POST['buyNow_de_height']."'),\n";
		$config .= "                                  'jp' => array( 'url'    => '".$_POST['buyNow_jp_url']."',\n";
		$config .= "                                                 'width'  => '".$_POST['buyNow_jp_width']."',\n";
		$config .= "                                                 'height' => '".$_POST['buyNow_jp_height']."')\n";
		$config .= "                                 );";
		$config .= "?>";

		if ($fp = fopen("$configfile", "w+")) {
			fwrite($fp, $config, strlen($config));
			fclose ($fp);
			$error_msg = array(1, "General Settings saved!");
		}
	}
}

/**
 * Categories
 *
 *
 *
 *
 */
elseif(isset($_POST['action']) && $_POST['action'] == "save" && $_GET['modify'] == "categories"){
	$configfile = "categories.inc.php";
	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		$error_msg = array(0, "Config file not writeable !");
	}
	else{
		$langSpace = 30;
		$catSpace = 44;
		$valSpace = 56;
		$categories = array();

		foreach($_POST as $postVar => $postVal){
			$postVarArray = explode("_", $postVar);
			if(sizeof($postVarArray) == 3){
				if($postVarArray[1] == "us" || $postVarArray[1] == "uk" ||
				   $postVarArray[1] == "de" || $postVarArray[1] == "jp"){
					if(!isset($_POST[$postVar."_delete"])){
						if($_POST[$postVar."_browsenode"] != "" || $_POST[$postVar."_mode"] == "all"){
							if($postVarArray[1] == "jp")
								$name = $_POST[$postVar."_name"];
							else
								$name = htmlentities(utf8_decode($_POST[$postVar."_name"]));
							$categories[$postVarArray[1]][] = array($postVal,
																  $_POST[$postVar."_mode"],
																  $_POST[$postVar."_browsenode"],
																  $name);
						}
					}
				}
			}
		}


		$config = "<?php\n";
		$config .= "/**\n";
		$config .= " * This file contains a table with amazOOP's categories. New categories can be added, and old\n";
		$config .= " * categories can be edited with the {@tutorial amazoop.configure.pkg Configurator}.\n";
		$config .= " *\n";
		$config .= " * @author Mauricio Diaz <madd0@users.sourceforge.net>\n";
		$config .= " * @copyright 2004 (c) Mauricio Diaz Orlich\n";
		$config .= " * @license http://www.gnu.org/licenses/gpl.html GNU General Public License\n";
		$config .= " * @version 0.3RC2\n";
		$config .= " *\n";
		$config .= " * @package amazOOP\n";
		$config .= " * @subpackage Configuration\n";
		$config .= " */\n";
		$config .= "\n";
		$config .= "/**\n";
		$config .= " * For security, only {@link aq.php} should be included in your pages\n";
		$config .= " */\n";
		$config .= "defined( '_AMAZOOP' ) or die( 'Direct Access to this location is not allowed.' );\n";
		$config .= "/**\n";
		$config .= " * A table with amazOOP categories. It can be edited with the {@tutorial amazoop.configure.pkg Configurator}\n";
		$config .= " * @global array \$_AMAZOOP_CATEGORIES\n";
		$config .= " * @access private\n";
		$config .= " */\n";

		/**
		 * US
		 */
		$maxSize = array_reduce($categories['us'], "maximum", 0);
		$j = 1;
		$config .= "\$_AMAZOOP_CATEGORIES = array( 'us' => array( // amazOOP categories mapped to official AWS modes\n";
		foreach($categories['us'] as $cat){
			$config .= str_repeat(" ", $catSpace) . "'".$cat[0]."'" . str_repeat(" ", $maxSize+1-strlen($cat[0])) . "=> array(";
			$config .= "'mode'       => '".$cat[1]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'browsenode' => '".$cat[2]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'name'       => '".$cat[3]."')";
			if($j != sizeof($categories['us']))
				$config .= ",\n";
			else
				$config .= "),\n\n";
			$j++;
		}

		/**
		 * UK
		 */
		$maxSize = array_reduce($categories['uk'], "maximum", 0);
		$j = 1;
		$config .= str_repeat(" ", $langSpace) . "'uk' => array( // amazOOP categories mapped to official AWS modes\n";
		foreach($categories['uk'] as $cat){
			$config .= str_repeat(" ", $catSpace) . "'".$cat[0]."'" . str_repeat(" ", $maxSize+1-strlen($cat[0])) . "=> array(";
			$config .= "'mode'       => '".$cat[1]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'browsenode' => '".$cat[2]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'name'       => '".$cat[3]."')";
			if($j != sizeof($categories['uk']))
				$config .= ",\n";
			else
				$config .= "),\n\n";
			$j++;
		}

		/**
		 * DE
		 */
		$maxSize = array_reduce($categories['de'], "maximum", 0);
		$j = 1;
		$config .= str_repeat(" ", $langSpace) . "'de' => array( // amazOOP categories mapped to official AWS modes\n";
		foreach($categories['de'] as $cat){
			$config .= str_repeat(" ", $catSpace) . "'".$cat[0]."'" . str_repeat(" ", $maxSize+1-strlen($cat[0])) . "=> array(";
			$config .= "'mode'       => '".$cat[1]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'browsenode' => '".$cat[2]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'name'       => '".$cat[3]."')";
			if($j != sizeof($categories['de']))
				$config .= ",\n";
			else
				$config .= "),\n\n";
			$j++;
		}

		/**
		 * JP
		 */
		$maxSize = array_reduce($categories['jp'], "maximum", 0);
		$j = 1;
		$config .= str_repeat(" ", $langSpace) . "'jp' => array( // amazOOP categories mapped to official AWS modes\n";
		foreach($categories['jp'] as $cat){
			$config .= str_repeat(" ", $catSpace) . "'".$cat[0]."'" . str_repeat(" ", $maxSize+1-strlen($cat[0])) . "=> array(";
			$config .= "'mode'       => '".$cat[1]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'browsenode' => '".$cat[2]."',\n";
			$config .= str_repeat(" ", $valSpace + $maxSize) . "'name'       => '".$cat[3]."')";
			if($j != sizeof($categories['jp']))
				$config .= ",\n";
			else
				$config .= "),\n\n";
			$j++;
		}

		$config .= ");\n";
		$config .= "?>\n";

		if ($fp = fopen("$configfile", "w+")) {
			fwrite($fp, $config, strlen($config));
			fclose ($fp);
			$error_msg = array(1, "amazOOP Categories saved!");
		}
	}
}

/*******************************************************************************************
 *
 *
 *                                     Create Store Codes File
 *
 *
 *******************************************************************************************/
elseif(isset($_POST['action']) && $_POST['action'] == "save" && $_GET['modify'] == "stores"){
	$configfile = "stores.inc.php";
	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		$error_msg = array(0, "Config file not writeable !");
	}
	else{
		$storeSpace = 30;
		$categories = array();

		foreach($_POST as $postVar => $postVal){
			$postVarArray = explode("_", $postVar);
			if(sizeof($postVarArray) == 3 && $postVarArray[2] == "name"){
				if(!isset($_POST["store_" . $postVarArray[1] ."_delete"]))
					if($postVal != "" && $_POST["store_" . $postVarArray[1] ."_code"] != "")
						$categories[] = array($postVal, $_POST["store_" . $postVarArray[1] . "_code"]);
			}
		}

		$config = "<?php\n";
		$config .= "/**\n";
		$config .= " * This file contains an array with codes for popular third party\n";
		$config .= " * stores that sell products at Amazon.\n";
		$config .= " * These codes are used to obtain images that are incorrectly returned\n";
		$config .= " * by AWS.\n";
		$config .= " *\n";
		$config .= " * @see LiteDetails::getImage()\n";
		$config .= " *\n";
		$config .= " * @author Mauricio Diaz <madd0@users.sourceforge.net>\n";
		$config .= " * @copyright 2004 (c) Mauricio Diaz Orlich\n";
		$config .= " * @license http://www.gnu.org/licenses/gpl.html GNU General Public License\n";
		$config .= " * @version 0.3RC1\n";
		$config .= " *\n";
		$config .= " * @package amazOOP\n";
		$config .= " * @subpackage Configuration\n";
		$config .= " */\n";
		$config .= "\n";
		$config .= "/**\n";
		$config .= " * Store codes.\n";
		$config .= " * Each store has its own code.\n";
		$config .= " * If an image from AWS doesn't work it's probably because it's from a different store.\n";
		$config .= " * This array is used to try to solve that.\n";
		$config .= " * This is a terrible way of solving the problem (that AWS will hopefully solve soon)\n";
		$config .= " * In the meantime, use it like this or, to disable it, simply set Check Alternative images\n";
		$config .= " * to 0, 1 or 2.\n";
		$config .= " *\n";
		$config .= " * @see LiteDetails::getImage()\n";
		$config .= " * @global array \$_AMAZOOP_STORE_CODES\n";
		$config .= " */\n";
		$config .= "\$_AMAZOOP_STORE_CODES = array(";

		$maxSize = array_reduce($categories, "maximum", 0);
		$first = true;
		foreach($categories as $category){
			$name = stripslashes($category[0]);
			$code = $category[1];

			if(!$first)
				$config .= str_repeat(" ", $storeSpace);
			$config .=  "\"".$name."\"" .str_repeat(" ", $maxSize - strlen($name)+1) . "=> '" . $code . "',\n";
			$first = false;
		}
		$config .= ");\n";
		$config .= "?>\n";

		if ($fp = fopen("$configfile", "w+")) {
			fwrite($fp, $config, strlen($config));
			fclose ($fp);
			$error_msg = array(1, "Store Codes saved!");
		}
	}
}

/*******************************************************************************************
 *
 *
 *                                     Create RSS File
 *
 *
 *******************************************************************************************/
elseif(isset($_POST['action']) && $_POST['action'] == "save" && $_GET['modify'] == "rss"){
	$configfile = "rss.inc.php";
	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		$error_msg = array(0, "Config file not writeable !");
	}
	else{
		$config = "<?php\n";
		$config .= "/**\n";
		$config .= " * This file contains settings for RSS feeds.\n";
		$config .= " *\n";
		$config .= " * @author Mauricio Diaz <madd0@users.sourceforge.net>\n";
		$config .= " * @copyright 2004 (c) Mauricio Diaz Orlich\n";
		$config .= " * @license http://www.gnu.org/licenses/gpl.html GNU General Public License\n";
		$config .= " * @version 0.3RC2\n";
		$config .= " *\n";
		$config .= " * @package amazOOP\n";
		$config .= " * @subpackage Configuration\n";
		$config .= " */\n";
		$config .= "\n";
		$config .= "/**\n";
		$config .= " * For security, only this file should be included in your scripts.\n";
		$config .= " * @access private\n";
		$config .= " */\n";
		$config .= "defined('_AMAZOOP') or die( 'Direct Access to this location is not allowed.' );\n";
		$config .= "\n";
		$config .= "/**\n";
		$config .= " * This array holds basic information to be used in the RSS feed generated by {@link AmazonQuery}.\n";
		$config .= " * More information on these values will be available soon.\n";
		$config .= " * @global array \$_AMAZOOP_RSS\n";
		$config .= " * @access private\n";
		$config .= " */\n";
		$config .= "\$_AMAZOOP_RSS = array( 'xmlSchema'      => 'http://www.madd0.com/rss2m.xsd',\n";
		$config .= "                       'generator'      => 'amazOOP v0.3 (http://amazoop.sourceforge.net)',\n";
		$config .= "                       'docs'           => 'http://backend.userland.com/rss',\n";

		foreach($_POST as $postVar => $postVal){
			$postVarArray = explode("_", $postVar);
			if(sizeof($postVarArray) == 2 && $postVarArray[0] == "rss")
				$config.= "                       '" . $postVarArray[1] . "'" . str_repeat(" ", 15 - strlen($postVarArray[1])) . "=> '" . $postVal . "',\n";
		}
		$config .= ");\n";
		$config .= "?>\n";

		if ($fp = fopen("$configfile", "w+")) {
			fwrite($fp, $config, strlen($config));
			fclose ($fp);
			$error_msg = array(1, "RSS settings saved!");
		}
	}
}

/**
 *{@internal *****************************************************************************
 *
 *                             Include Configuration files
 *
 ************************************************************************************ }}*/
/**#@+
 * @access private
 */
require_once("userdata.inc.php");
require_once("categories.inc.php");
require_once("stores.inc.php");
require_once("rss.inc.php");
require_once("modes.inc.php");
/**#@-*/

/**
 * Suffixes for different Amazon sites
 * @access private
 */
$sites = array( "us" => ".com", "uk" => ".co.uk", "fr" => ".fr", "de" => ".de", "jp" => ".co.jp", "ca" => ".ca");

/**
 * Find the longest string in an array.
 *
 * @param integer $v initial value or largest value until now
 * @param array $w the array containing the strings
 *
 * @return integer the largest value
 *
 * @access private
 */
function maximum($v, $w){
	return max($v, strlen($w[0]));
}
?>
<?php echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?".">\n"; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>amazOOP Configurator</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
<!--
body{
  color:              #000000;
  background-color:   #ffffff;
  font-family:        Verdana, Tahoma, Arial, Helvetica, sans-serif;
  font-size:          11px;
}

h1 {
  font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;
  font-size: 18px;
  font-weight: bold;
}

h2 {
  font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;
  font-size: 16px;
  font-weight: bold;
}

h3 {
  font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;
  font-size: 14px;
  font-weight: bold;
}

h4 {
  font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;
  font-size: 12px;
  font-weight: bold;
}

a {
  color:              #000000;
}

a:hover {
  color:              #666666;
}

td {
  font-size:          11px;
}

th {
  font-size: 11px;
  font-weight: bold;
  text-align: center;
  background-color: #FF9900
}

hr {
  height:             1px;
  border-style:       solid;
  border-color:       #ff9900;
  margin-top:         10px;
  margin-bottom:      10px;
}

input {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #000000;
	background-color: #FFFFFF;
	border: 1px solid #000000;
}

select {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #000000;
	background-color: #FFFFFF;
	border: 1px solid #000000;
}

textarea {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #000000;
	background-color: #FFFFFF;
	border: 1px solid #000000;
}

.odd {
	background: #FFFFBB;
}

-->
</style>
</head>
<body>
<h1 align="center"><img src="amazoop_80x50.gif" width="80" height="50" alt="amazOOP" border="0" /><br />
	amazOOP Configurator</h1>
<?php
if(isset($error_msg) && is_array($error_msg)){
	echo "<p align=\"center\">";

	switch($error_msg[0]){
		case 0:
			echo "<font color=\"red\">";
			break;
		case 1:
			echo "<font color=\"green\">";
			break;
		case 2:
			echo "<font color=\"orange\">";
			break;
	}
	echo "<b>$error_msg[1]</b></font></p>";
}

if(!file_exists($passFile)){
	$showForm = true;

	if(isset($_POST['newAcc'])){
		if(strlen($_POST['pass1']) >= 7){
			if($_POST['pass1'] == $_POST['pass2']){
				if($fp = fopen($passFile,'w+')){
					$salt = "";
					mt_srand((double)microtime()*1000000);
					$chars = array_merge(range('a','z'),range('A','Z'),range(0,9));
					for($i=0;$i<2;$i++)
						$salt .= $chars[mt_rand(0,count($chars)-1)];
					fputs($fp, $_POST['user'] . ":" . crypt($_POST['pass1'], $salt) . "\n");
					fclose($fp);
					$showForm = false;
				}
				else
					$erro_msg = "Password file could not be created!";
			}
			else
				$error_msg = "Passwords don't match!";
		}
		else
			$error_msg = "Password must be at least 7 characters in length!";
	}


	if($showForm){
?>
<h2 align="center">Welcome to amazOOP</h2>
<p align="center">For your security, you are now going to create an administrator account for amazOOP</p>
<p align="center">Make sure you will not forget the administrator's user name or password, since they
  cannot be retrieved!</p>
<?php
	if(isset($error_msg))
		echo "<p align=\"center\"><font color=\"red\"><b>$error_msg</b></font></p>";
?>
<form name="newAccount" action="" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="2">New Account</th>
		</tr>
		<tr>
			<td>User:</td>
			<td><input type="text" name="user" size="20" /></td>
		</tr>
		<tr>
			<td>Password:</td>
			<td><input type="password" name="pass1" size="20" /></td>
		</tr>
		<tr>
			<td>Confirm Password:</td>
			<td><input type="password" name="pass2" size="20" /></td>
		</tr>
		<tr>
			<td colspan="2" align="center"><input type="submit" value="Create!" name="newAcc" /></th>
		</tr>
	</table>
</form>
<?php
	}
}
else{
	if(isset($_POST['login'])){
		$lines = file($passFile);
		$array = explode(':',$lines[0]);
		$user = $array[0];
		$password = chop($array[1]);

		if($_POST['user'] == $user && $password == crypt($_POST['pass1'], substr($password,0,2)))
			$_SESSION['logged'] = true;
		else
			$error_msg = "Invalid user name or password!";
	}


	if(!isset($_SESSION['logged']) || !$_SESSION['logged']){
		if(isset($error_msg))
			echo "<p align=\"center\"><font color=\"red\"><b>$error_msg</b></font></p>";
?>
<form name="newAccount" action="" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="2">Log in</th>
		</tr>
		<tr>
			<td>User:</td>
			<td><input type="text" name="user" size="20" /></td>
		</tr>
		<tr>
			<td>Password:</td>
			<td><input type="password" name="pass1" size="20" /></td>
		</tr>
		<tr>
			<td colspan="2" align="center"><input type="submit" value="Enter" name="login" /></th>
		</tr>
	</table>
</form>
<?php
	}
}


if(isset($_SESSION['logged']) && $_SESSION['logged']){
?>
<p align="center"><a href="configurator.php?modify=general">General</a> |
  <a href="configurator.php?modify=categories">Categories</a> |
  <a href="configurator.php?modify=stores">Store Codes</a> |
  <a href="configurator.php?modify=rss">RSS Feeds</a>
</p>
<?php
/**
 * General
 *
 *
 */
if(!isset($_GET['modify']) || $_GET['modify'] == "general"){
?>
<form name="configuration" action="" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="3">General Configuration</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<th>Test Server</th>
			<th>Definitive Server</th>
		</tr>

<?php
$i = 1;
foreach($_AMAZOOP_CONFIG as $configEntry => $configValue){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td valign="top"><?php echo ucwords(str_replace("_", " ", $configEntry)) ?>:</td>
			<?php
			if($configValue['test'] == "true" || $configValue['test'] == "false"){
			?>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="true" <?php if($configValue['test'] == "true") echo "checked" ?> />Yes
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="false" <?php if($configValue['test'] == "false") echo "checked" ?> />No
			</td>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="true" <?php if($configValue['def'] == "true") echo "checked" ?> />Yes
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="false" <?php if($configValue['def'] == "false") echo "checked" ?> />No
			</td>
			<?php
			}
			elseif($configValue['test'] == "xhtml" || $configValue['test'] == "html"){
			?>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="xhtml" <?php if($configValue['test'] == "xhtml") echo "checked" ?> />XHTML ( /&gt;)
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="html" <?php if($configValue['test'] == "html") echo "checked" ?> />HTML (&gt;)
			</td>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="xhtml" <?php if($configValue['def'] == "xhtml") echo "checked" ?> />XHTML ( /&gt;)
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="html" <?php if($configValue['def'] == "html") echo "checked" ?> />HTML (&gt;)
			</td>
			<?php
			}
			elseif($configValue['test'] == "windows" || $configValue['test'] == "unix"){
			?>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="windows" <?php if($configValue['test'] == "windows") echo "checked" ?> />Windows (\)
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="unix" <?php if($configValue['test'] == "unix") echo "checked" ?> />Unix (/)
			</td>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="windows" <?php if($configValue['def'] == "windows") echo "checked" ?> />Windows (\)
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="unix" <?php if($configValue['def'] == "unix") echo "checked" ?> />Unix (/)
			</td>
			<?php
			}
			elseif($configValue['test'] == "new" || $configValue['test'] == "same"){
			?>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="new" <?php if($configValue['test'] == "new") echo "checked" ?> />New Window<br />
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.test" value="same" <?php if($configValue['test'] == "same") echo "checked" ?> />Same Window
			</td>
			<td>
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="new" <?php if($configValue['def'] == "new") echo "checked" ?> />New Window<br />
				<input style="border:none;"<?php if($i%2 == 0) echo " class=\"odd\""?>" type="radio" name="<?php echo $configEntry ?>.def" value="same" <?php if($configValue['def'] == "same") echo "checked" ?> />Same Window
			</td>
			<?php
			}
			else{
				if(strlen($configValue['test']) <= 25 && strlen($configValue['def']) <= 25){
			?>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="<?php echo $configEntry ?>.test" value="<?php echo $configValue['test'] ?>" /></td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="<?php echo $configEntry ?>.def" value="<?php echo $configValue['def'] ?>" /></td>
			<?php
				}
				else{
			?>
			<td><textarea<?php if($i%2 == 0) echo " class=\"odd\""?> cols="25" rows="3" name="<?php echo $configEntry ?>.test"><?php echo $configValue['test'] ?></textarea></td>
			<td><textarea<?php if($i%2 == 0) echo " class=\"odd\""?> cols="25" rows="3" name="<?php echo $configEntry ?>.def"><?php echo $configValue['def'] ?></textarea></td>
			<?php
				}
			}
			?>
		</tr>
<?php
$i++;
}
?>
		<tr>
			<th colspan="3">Associate IDs</th>
		</tr>
<?php
foreach($_AMAZOOP_ASSOC_IDS as $locale => $id){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td valign="top">Amazon<?php echo $sites[$locale] ?></td>
			<td colspan="2"><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="associd.<?php echo $locale ?>" value="<?php echo $id ?>" /></td>
		</tr>
<?php
$i++;
}
?>
		<tr>
			<th colspan="3">Default Images</th>
		</tr>
<?php
foreach($_AMAZOOP_DEFAULT_IMAGES as $size => $info){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td valign="top"><?php echo ucwords($size) ?>:</td>
			<td colspan="2">
				<table>
					<tr>
						<td>Path: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="35" name="defaultImage.<?php echo $size ?>.url" value="<?php echo $info['url'] ?>" /></td>
						<td align="center" rowspan="2">
						<?php
							if($info['url'] != ""){
								$url = "http://" . $_SERVER['SERVER_NAME'] . $info['url'];
								$preview = getimagesize($url);
								echo "<a href=\"$url\" target=\"_bfank\"><img src=\"$url\" width=\"". ($preview[0]*50/$preview[1]) ."\" height=\"50\" border=\"1\" alt=\"Preview\" /></a>";
							}
						?>
						</td>
					</tr>
					<tr>
						<td>
						  Width: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="defaultImage.<?php echo $size ?>.width" value="<?php echo $info['width'] ?>" />
						  Height: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="defaultImage.<?php echo $size ?>.height" value="<?php echo $info['height'] ?>" />
						</td>
					</tr>
				</table>
		</tr>
<?php
$i++;
}
?>
		<tr>
			<th colspan="3">Media Images</th>
		</tr>
<?php
foreach($_AMAZOOP_MEDIA_IMAGES as $size => $info){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td valign="top"><?php echo ucwords(str_replace("_", " ", $size)) ?>:</td>
			<td colspan="2">
				<table>
					<tr>
						<td>Path: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="35" name="mediaImage.<?php echo $size ?>.url" value="<?php echo $info['url'] ?>" /></td>
						<td align="center" rowspan="2">
						<?php
							if($info != ""){
								$url = "http://" . $_SERVER['SERVER_NAME'] . $info['url'];
								$preview = getimagesize($url);
								echo "<a href=\"$url\" target=\"_bfank\"><img src=\"$url\" $preview[3] border=\"1\" alt=\"Preview\" /></a>";
							}
						?>
						</td>
					</tr>
					<tr>
						<td>
						  Width: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="mediaImage.<?php echo $size ?>.width" value="<?php echo $info['width'] ?>" />
						  Height: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="mediaImage.<?php echo $size ?>.height" value="<?php echo $info['height'] ?>" />
						</td>
					</tr>
				</table>
		</tr>
<?php
$i++;
}
?>
		<tr>
			<th colspan="3">Buy Now Buttons</th>
		</tr>
<?php
foreach($_AMAZOOP_BUYNOW_BUTTONS as $locale => $info){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td valign="top"><?php echo strtoupper($locale) ?>:</td>
			<td colspan="2">
				<table>
					<tr>
						<td>Path: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="35" name="buyNow.<?php echo $locale ?>.url" value="<?php echo $info['url'] ?>" /></td>
					</tr>
					<tr>
						<td>
						  Width: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="buyNow.<?php echo $locale ?>.width" value="<?php echo $info['width'] ?>" />
						  Height: <input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="3" name="buyNow.<?php echo $locale ?>.height" value="<?php echo $info['height'] ?>" />
						</td>
					</tr>
					<tr>
						<td align="center"><?php
						if($info['url'] != ""){
						?>
							<img src="http://<?php echo $_SERVER['SERVER_NAME'] . $info['url'] ?>"border="1" alt="Preview" />
						<?php
						}
						else
							echo "&nbsp;"
						?>
						</td>
					</tr>
				</table>
		</tr>
<?php
$i++;
}
?>
	</table>
	<center><input type="hidden" name="action" value="save" /><br />
	<input type="submit" name="submit" value="Save" /></center>
</form>
<?php
}

/**
 * Categories
 *
 *
 */
elseif(isset($_GET['modify']) && $_GET['modify'] == "categories"){
?>
<form name="configuration" action="configurator.php?modify=categories" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="5">amazOOP Categories</td>
		</tr>
<?php
foreach($_AMAZOOP_CATEGORIES as $locale => $category){
?>
		<tr>
			<th colspan="5" style="text-align:left"><?php echo strtoupper($locale) ?></th>
		</tr>
		<tr>
			<td align="center">Category</td>
			<td align="center">Mode</td>
			<td align="center">Browse Node</td>
			<td align="center">Name</td>
			<td align="center">Delete</td>
		</tr>
	<?php
	$i = 0;
	foreach($category as $catName => $value){
	?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="10" name="category.<?php echo $locale ?>.<?php echo str_replace("_", "-", $catName) ?>" value="<?php echo $catName ?>" /></td>
			<td>
				<select<?php if($i%2 == 0) echo " class=\"odd\""?> name="category.<?php echo $locale ?>.<?php echo str_replace("_", "-", $catName) ?>.mode">
				<?php
				foreach($_AMAZON_MODES[$locale] as $mode){
				?>
					<option value="<?php echo $mode ?>"<?php if($mode == $value['mode']) echo " selected" ?>><?php echo $mode ?></option>
				<?php
				}
				?>
				</select>
			</td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="10" name="category.<?php echo $locale ?>.<?php echo str_replace("_", "-", $catName) ?>.browsenode" value="<?php echo $value['browsenode'] ?>" /></td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="category.<?php echo $locale ?>.<?php echo str_replace("_", "-", $catName) ?>.name" value="<?php echo $value['name'] ?>" /></td>
			<td align="center"><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="checkbox" name="category.<?php echo $locale ?>.<?php echo str_replace("_", "-", $catName) ?>.delete" value="true" /></td>
		</tr>
	<?php
	$i++;
	}
	?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="10" name="category.<?php echo $locale ?>.new" value="" /></td>
			<td>
				<select<?php if($i%2 == 0) echo " class=\"odd\""?> name="category.<?php echo $locale ?>.new.mode">
				<?php
				foreach($_AMAZON_MODES[$locale] as $mode){
				?>
					<option value="<?php echo $mode ?>"><?php echo $mode ?></option>
				<?php
				}
				?>
				</select>
			</td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="10" name="category.<?php echo $locale ?>.new.browsenode" value="" /></td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="category.<?php echo $locale ?>.new.name" value="" /></td>
			<td align="center">new</td>
		</tr>
<?php
}
?>
	</table>
	<center><input type="hidden" name="action" value="save" /><br />
	<input type="submit" name="submit" value="Save" /></center>
</form>
<?php
}

/**
 * Stores
 *
 *
 */
elseif(isset($_GET['modify']) && $_GET['modify'] == "stores"){
?>
<form name="configuration" action="configurator.php?modify=stores" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="5">Store Codes</td>
		</tr>
		<tr>
			<td align="center">&nbsp;</td>
			<td align="center">Name</td>
			<td align="center">Code</td>
			<td align="center">Delete</td>
		</tr>
<?php
$i = 0;
foreach($_AMAZOOP_STORE_CODES as $store => $code){
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td><?php echo $i+1 ?>.</td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="40" name="store.<?php echo $i ?>.name" value="<?php echo $store ?>" /></td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="store.<?php echo $i ?>.code" value="<?php echo $code ?>" /></td>
			<td align="center"><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="checkbox" name="store.<?php echo $i ?>.delete" value="true" /></td>
		</tr>
<?php
$i++;
}
?>
		<tr<?php if($i%2 == 0) echo " class=\"odd\""?>>
			<td><?php echo $i+1 ?>.</td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="40" name="store.new.name" value="" /></td>
			<td><input<?php if($i%2 == 0) echo " class=\"odd\""?> type="text" size="25" name="store.new.code" value="" /></td>
			<td align="center">new</td>
		</tr>
	</table>
	<center><input type="hidden" name="action" value="save" /><br />
	<input type="submit" name="submit" value="Save" /></center>
</form>
<?php
}

/**
 * RSS Feeds
 *
 *
 */
elseif(isset($_GET['modify']) && $_GET['modify'] == "rss"){
?>
<form name="configuration" action="configurator.php?modify=rss" method="POST">
	<table align="center" style="border: solid #000000 1px">
		<tr>
			<th colspan="5">Store Codes</td>
		</tr>
		<tr>
			<td align="center">Variable</td>
			<td align="center">Value</td>
		</tr>

		<tr class="odd">
			<td>Link</td>
			<td><input  class="odd" type="text" size="25" name="rss.link" value="<?php echo $_AMAZOOP_RSS['link'] ?>" /></td>
		</tr>

		<tr>
			<td>Copyright</td>
			<td><textarea cols="25" rows="3" name="rss.copyright"><?php echo $_AMAZOOP_RSS['copyright'] ?></textarea></td>
		</tr>

		<tr class="odd">
			<td>Managing Editor</td>
			<td><input class="odd" type="text" size="25" name="rss.managingEditor" value="<?php echo $_AMAZOOP_RSS['managingEditor'] ?>" /></td>
		</tr>

		<tr>
			<td>Web Master</td>
			<td><input type="text" size="25" name="rss.webMaster" value="<?php echo $_AMAZOOP_RSS['webMaster'] ?>" /></td>
		</tr>

		<tr class="odd">
			<td>Author</td>
			<td><input class="odd" type="text" size="25" name="rss.author" value="<?php echo $_AMAZOOP_RSS['author'] ?>" /></td>
		</tr>

		<tr>
			<td>Image URL</td>
			<td><input type="text" size="60" name="rss.imageURL" value="<?php echo $_AMAZOOP_RSS['imageURL'] ?>" /></td>
		</tr>

		<tr class="odd">
			<td>Image Width</td>
			<td><input class="odd" type="text" size="5" name="rss.imageWidth" value="<?php echo $_AMAZOOP_RSS['imageWidth'] ?>" /></td>
		</tr>

		<tr>
			<td>Image Height</td>
			<td><input type="text" size="5" name="rss.imageHeight" value="<?php echo $_AMAZOOP_RSS['imageHeight'] ?>" /></td>
		</tr>

		<tr class="odd">
			<td>Image Link</td>
			<td><input class="odd" type="text" size="60" name="rss.imageLink" value="<?php echo $_AMAZOOP_RSS['imageLink'] ?>" /></td>
		</tr>

		<tr>
			<td>Image Title</td>
			<td><input type="text" size="25" name="rss.imageTitle" value="<?php echo $_AMAZOOP_RSS['imageTitle'] ?>" /></td>
		</tr>

		<tr class="odd">
			<td>Feed Title</td>
			<td><input class="odd" type="text" size="25" name="rss.title" value="<?php echo $_AMAZOOP_RSS['title'] ?>" /></td>
		</tr>

		<tr>
			<td>Feed Description</td>
			<td><textarea cols="25" rows="3" name="rss.description"><?php echo $_AMAZOOP_RSS['description'] ?></textarea></td>
		</tr>

	</table>
	<center><input type="hidden" name="action" value="save" /><br />
	<input type="submit" name="submit" value="Save" /></center>
</form>
<?php
}
}
?>
</body>
</html>