<?php
/**
 * This file contains a table with Amazon's modes.
 * You probably will never need to touch this file, unless I release a new one with updated
 * modes, in which case, all you have to do is replace the old one.
 *
 * @author Mauricio Diaz <madd0@users.sourceforge.net>
 * @copyright 2004 (c) Mauricio Diaz Orlich
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @version 0.3RC2
 *
 * @package amazOOP
 * @subpackage Configuration
 */

/**
 * For security, only {@link aq.php} should be included in your pages
 */
defined( '_AMAZOOP' ) or die( 'Direct Access to this location is not allowed.' );

/**
 * This table contains all Amazon nodes that can be used to query AWS.
 *
 * Some of them are not officially supported, buth they work nonetheless. You can recognize
 * them because they start where the ones ordered alphabetically end.
 *
 * @access private
 *
 * @global array $_AMAZON_MODES
 */
$_AMAZON_MODES = array( 'us' => array('baby', 'books', 'classical', 'pc-hardware', 'dvd', 'electronics',
                                      'garden', 'kitchen', 'magazines', 'music', 'photo', 'software', 'tools',
                                      'toys', 'tools', 'vhs', 'videogames', 'apparel', 'misc', 'gourmet',
                                      'hpc', 'jewelry', 'office-products', 'sporting'),
                        'uk' => array('books-uk', 'classical', 'dvd-uk', 'electronics-uk', 'kitchen-uk',
                                      'music', 'software-uk', 'sw-vg-uk', 'toys-uk', 'vhs-uk',
                                      'video-games-uk', 'garden-uk', 'hpc-uk', 'tools-uk'),
                        'de' => array('books-de', 'books-de-intl-us', 'classical-de', 'pc-de', 'dvd-de',
                                      'ce-de', 'garden-de', 'hpc-de', 'kitchen-de-all', 'kitchen-de',
                                      'magazines-de', 'pop-music-de', 'photo-de', 'software-de', 'tools-de',
                                      'vhs-de', 'video-games-de'),
                        'jp' => array('books-jp', 'books-us', 'classical-jp', 'dvd-jp', 'electronics-jp',
                                      'music-jp', 'software-jp', 'vhs-jp', 'videogames-jp')
                      );
?>