<?php
/**
 * This file contains an array with codes for popular third party
 * stores that sell products at Amazon.
 * These codes are used to obtain images that are incorrectly returned
 * by AWS.
 *
 * @see LiteDetails::getImage()
 *
 * @author Mauricio Diaz <madd0@users.sourceforge.net>
 * @copyright 2004 (c) Mauricio Diaz Orlich
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @version 0.3RC1
 *
 * @package amazOOP
 * @subpackage Configuration
 */

/**
 * Store codes.
 * Each store has its own code.
 * If an image from AWS doesn't work it's probably because it's from a different store.
 * This array is used to try to solve that.
 * This is a terrible way of solving the problem (that AWS will hopefully solve soon)
 * In the meantime, use it like this or, to disable it, simply set Check Alternative images
 * to 0, 1 or 2.
 *
 * @see LiteDetails::getImage()
 * @global array $_AMAZOOP_STORE_CODES
 */
$_AMAZOOP_STORE_CODES = array("ARROW"                                => '01-A28OESN9E1VV61',
                              "Atkins"                               => '01-A3EVWIEDD3GII2',
                              "pokerchipmart"                        => '01-A152NT11JUV2LV',
                              "Big Bang"                             => '01-A2ZOS545NSZ3SG',
                              "eBags"                                => '01-A2Q0ARZLO9COOL',
                              "ELDER HOSIERY"                        => '01-A1V1Z4BJNVFJUK',
                              "Foot Locker"                          => '01-A2OS1Y72HGJYGC',
                              "Fossil"                               => '01-A4LKQQKJ91IUZ',
                              "Jos. A. Bank Clothiers"               => '01-A3QF2P1DJO1GQD',
                              "Lady Grace"                           => '01-ATWQUYJSH6YT4',
                              "Lands' End"                           => '01-A379EYPHAO5LQM',
                              "Nordstrom"                            => '01-A3BHU1UEUYDJ19',
                              "Old Navy"                             => '01-A2RMOHDABI2174',
                              "OutdoorSuperStore"                    => '01-A2FGCA43EYMFSV',
                              "Scarves"                              => '01-A3K8MJJG7C5G9B',
                              "Soft"                                 => '01-A3NUKLQJB2450O',
                              "Stacks and Stacks"                    => '01-A1CGG8PD8VKZVT',
                              "Target"                               => '01-A23NLORBGXOLEO',
                              "TEXSPORT"                             => '01-A2FGCA43EYMFSV',
                              "The Sportsman's guide"                => '01-A1V1Z4BJNVFJUK',
                              "True Value"                           => '01-A1ROAW4PRDYZ8L',
                              "UGG Australia"                        => '01-A3BHU1UEUYDJ19',
                              "UrbanOutfitters"                      => '01-A3K8MJJG7C5G9B',
                              "WeGotGear"                            => '01-ARV2QZH47UK84',
                              "AKA Gourmet"                          => '01-AI2C3O3B014CN',
                              "Fireworks Popcorn"                    => '01-A1NBGEZECFJ4OH',
                              "Godiva Chocolatier"                   => '01-A2383BW7935VAY',
                              "Harry and David"                      => '01-A2ASOWPLPSJK2I',
                              "LowCarbChocolates.com"                => '01-A1VBN75JVPC43M',
                              "Omaha Steaks"                         => '01-APVHH2YDL0QW1',
                              "Rodale Press"                         => '01-A3EVWIEDD3GII2',
                              "Ross Chocolate - Low Carb Chocolates" => '01-A1VBN75JVPC43M',
                              "The Vitamin Shoppe"                   => '01-A3EVWIEDD3GII2',
                              "Wisconsinmade"                        => '01-A1NBGEZECFJ4OH',
                              "CatalogSpecialties"                   => '01-A1VQCMTRJ9169Z',
                              "Chase-Durer"                          => '01-A36A3LEFJFP4YX',
                              "Fred Meyer Jewelers"                  => '01-ANWYVCPIBYTKN',
                              "Bodytrends"                           => '01-A23TT9LCZLRRP4',
                              "Century"                              => '01-A2T3ASM7TOCPQE',
                              "eSportsonline"                        => '01-A12J7Z25BKBAUQ',
                              "Everlast"                             => '01-A2T3ASM7TOCPQE',
                              "Exacera"                              => '01-A23TT9LCZLRRP4',
                              "KarateDepot"                          => '01-A2T3ASM7TOCPQE',
                              "Sportline"                            => '01-A2T3ASM7TOCPQE',
                              "The Mat Maker"                        => '01-A11F529RUBZJ7K',
                              "SPORTTIME"                            => '01-A12J7Z25BKBAUQ',
);
?>
